if (window.JeeWeb=='undefined'||window.JeeWeb==null){
    window.JeeWeb={};
}
//判断是否注入
function isInject() {
    return true
}

// 替 H5 发起跨域请求,支持 GET/POST/READ(读取本地文件,仅文本)
JeeWeb.load = function (request, callback) {
    const k = JeeWebSDK.uuid();
    JeeWebSDK.FUNCTION_MAP.set(k, callback);
    JeeWebSDK.load(k, JSON.stringify(request));
}
// 发送命令
JeeWeb.command = function (cmd, callback) {
    const k = JeeWebSDK.uuid();
    JeeWebSDK.FUNCTION_MAP.set(k, callback);
    JeeWebSDK.command(k, JSON.stringify(cmd));
}
// 打开小程序
JeeWeb.open = function (obj) {
    const uuid = JeeWebSDK.uuid();
    JeeWebSDK.FUNCTION_MAP.set(uuid, obj);
    const appInfo = obj.appInfo;
    if (appInfo != null) {
        JeeWebSDK.open(uuid,JSON.stringify(appInfo));
    } else {
        let result = {
            'errCode': -1,
            'errMsg': 'invalid params'
        }
        JeeWebSDK.failCallback(uuid, result, true);
    }
}
// 获取网络状态
JeeWeb.getNetworkType = function (obj) {
    const uuid = JeeWebSDK.uuid();
    JeeWebSDK.FUNCTION_MAP.set(uuid, obj);
    JeeWebSDK.getNetworkType(uuid);
}
// 获取定位权限状态
JeeWeb.getLocationPermissionStatus = function (obj) {
    const uuid = JeeWebSDK.uuid();
    JeeWebSDK.FUNCTION_MAP.set(uuid, obj);
    JeeWebSDK.getLocationPermissionStatus(uuid);
}
// 获取定位坐标
JeeWeb.getLocation = function (obj) {
    const uuid = JeeWebSDK.uuid();
    JeeWebSDK.FUNCTION_MAP.set(uuid, obj);
    JeeWebSDK.getLocation(uuid);
}
// 获取麦克风权限状态
JeeWeb.getMicrophonePermissionStatus = function (obj) {
    const uuid = JeeWebSDK.uuid();
    JeeWebSDK.FUNCTION_MAP.set(uuid, obj);
    JeeWebSDK.getMicrophonePermissionStatus(uuid);
}


// 关闭小应用容器
JeeWeb.close = function (obj) {
    const uuid = JeeWebSDK.uuid();
    JeeWebSDK.FUNCTION_MAP.set(uuid, obj);
    JeeWebSDK.close(uuid);
}
// 统计埋点
JeeWeb.traceEvent = function (obj) {
    const uuid = JeeWebSDK.uuid();
    JeeWebSDK.FUNCTION_MAP.set(uuid, obj);
    const eventId = obj.eventId;
    const params = obj.params;
    if (eventId != null) {
        JeeWebSDK.traceEvent(uuid,eventId,JSON.stringify(params));
    } else {
        let result = {
            'errCode': -1,
            'errMsg': 'invalid params'
        }
        JeeWebSDK.failCallback(uuid, result, true);
    }
}
// 分享小应用
JeeWeb.shareApp = function (obj) {
console.log(obj)
    const uuid = JeeWebSDK.uuid();
    JeeWebSDK.FUNCTION_MAP.set(uuid, obj);
    JeeWebSDK.shareApp(uuid
    , obj.uri == null || obj.uri == undefined ? "" : obj.uri
    , obj.image == null || obj.image == undefined ? "" : obj.image
    , obj.title == null || obj.title == undefined ? "" : obj.title
    , obj.content == null || obj.content == undefined ? "" : obj.content);
}
// 获取小程序支持的对应品类下的所有绑定设备列表接口
JeeWeb.fetchRelatedDeviceList = function (obj) {
    const uuid = JeeWebSDK.uuid();
    JeeWebSDK.FUNCTION_MAP.set(uuid, obj);
    JeeWebSDK.fetchRelatedDeviceList(uuid,obj.productTypeMark == null || obj.productTypeMark == undefined ? "" : obj.productTypeMark);
}
// 获取指定品类下所有绑定设备列表接口
JeeWeb.fetchBindingDeviceListByProductCategory = function (obj) {
    const uuid = JeeWebSDK.uuid();
    JeeWebSDK.FUNCTION_MAP.set(uuid, obj);
    JeeWebSDK.fetchBindingDeviceListByProductCategory(uuid,obj.productCategory == null || obj.productCategory == undefined ? "" : obj.productCategory);
}
// 确定小应用当前选择的关联设备
JeeWeb.didSelectedTargetDevice = function (obj) {
    const uuid = JeeWebSDK.uuid();
    JeeWebSDK.FUNCTION_MAP.set(uuid, obj);
    JeeWebSDK.didSelectedTargetDevice(uuid, obj.deviceId);
}

// 获取用户信息 TODO 后期可能加授权
JeeWeb.getUserProfile = function (obj) {
    const uuid = JeeWebSDK.uuid();
    JeeWebSDK.FUNCTION_MAP.set(uuid, obj);
    JeeWebSDK.getUserProfile(uuid);
}

JeeWeb.onReceive = function (callback){
	const k = JeeWebSDK.uuid();
	JeeWebSDK.FUNCTION_MAP.set(k, callback);
	JeeWebSDK.onReceive(k);
}

// 视频录制
JeeWeb.startRecordVideo = function(obj) {
	const k = JeeWebSDK.uuid();
	JeeWebSDK.FUNCTION_MAP.set(k, obj);
	JeeWebSDK.startRecordVideo(k, JSON.stringify(obj));
}

// 跳绳大赛录像
JeeWeb.startRopeRecordVideo = function(obj) {
    const k = JeeWebSDK.uuid();
    JeeWebSDK.FUNCTION_MAP.set(k, obj);
    JeeWebSDK.startRopeRecordVideo(k, JSON.stringify(obj));
}

JeeWeb.refreshRopeRecordPage = function(obj){
    const uuid = JeeWebSDK.uuid();
    JeeWebSDK.FUNCTION_MAP.set(uuid, obj);
    const params = obj.params;
    if (params == null || params == undefined) {
        let result = {
            'errCode': -1,
            'errMsg': 'invalid params'
        }
        JeeWebSDK.failCallback(uuid, result, true);
    } else {
        JeeWebSDK.refreshRopeRecordPage(uuid,JSON.stringify(params));
    }
}

JeeWeb.onRecordEvent = function (funId, type){
    const fun = JeeWebSDK.FUNCTION_MAP.get(funId);
    if (fun != null) {
        console.log("type:" + type);

//        fun.recorderEvent("{\"type\":\""+type+"\"}");
        fun.recorderEvent({'type': type});
    }
}

JeeWeb.refreshRecordPage = function(obj){
    const uuid = JeeWebSDK.uuid();
    JeeWebSDK.FUNCTION_MAP.set(uuid, obj);
    const params = obj.params;
    if (params == null || params == undefined) {
        let result = {
            'errCode': -1,
            'errMsg': 'invalid params'
        }
        JeeWebSDK.failCallback(uuid, result, true);
    } else {
        JeeWebSDK.refreshRecordPage(uuid,JSON.stringify(params));
    }
}

JeeWeb.getTargetDeviceInfo = function(obj){
    const uuid = JeeWebSDK.uuid();
    JeeWebSDK.FUNCTION_MAP.set(uuid, obj);
    JeeWebSDK.getTargetDeviceInfo(uuid);
}
// 设置导航风格
JeeWeb.setNavBarStyle = function(obj){
    const uuid = JeeWebSDK.uuid();
    JeeWebSDK.FUNCTION_MAP.set(uuid, obj);
    const style = obj.style;
    if (style != null) {
        JeeWebSDK.setNavBarStyle(uuid,style);
    } else {
        let result = {
            'errCode': -1,
            'errMsg': 'invalid params'
        }
        JeeWebSDK.failCallback(uuid, result);
    }
}
//跳转到指定会话聊天页
JeeWeb.gotoConversation = function(obj){
    console.log("gotoConversation");
    const uuid = JeeWebSDK.uuid();
    JeeWebSDK.FUNCTION_MAP.set(uuid, obj);
    const conversationId = obj.conversationId == null || obj.conversationId == undefined ? "" : obj.conversationId;
    const type = obj.type == null || obj.type == undefined ? -1 : obj.type;
    JeeWebSDK.gotoConversation(uuid,conversationId,type);
}
//跳转到配网模块页面
JeeWeb.gotoBindingDevice = function(obj){
    console.log("gotoBindingDevice");
    const uuid = JeeWebSDK.uuid();
    JeeWebSDK.FUNCTION_MAP.set(uuid, obj);
    const shortCode = obj.shortCode == null || obj.shortCode == undefined ? "" : obj.shortCode;
    JeeWebSDK.gotoBindingDevice(uuid,shortCode);
}

// 扫描二维码接口
JeeWeb.scanCode = function (obj) {
    const uuid = JeeWebSDK.uuid();
    JeeWebSDK.FUNCTION_MAP.set(uuid, obj);
    const onlyFromCamera = obj.onlyFromCamera;
    JeeWebSDK.scanCode(uuid,onlyFromCamera==null?false:onlyFromCamera);
}
// PCR录制视频控件接口
JeeWeb.startPCRRecordVideo = function(obj) {
    console.log("选择视频",obj);
	const k = JeeWebSDK.uuid();
	JeeWebSDK.FUNCTION_MAP.set(k, obj);
	JeeWebSDK.startPCRRecordVideo(k, JSON.stringify(obj));
}

// 人脸识别验证
JeeWeb.startFacialRecognitionVerify = function(obj){
    const uuid = JeeWebSDK.uuid();
    JeeWebSDK.FUNCTION_MAP.set(uuid, obj);
    const name = obj.name;
    const idCardNumber = obj.idCardNumber;
    if (name != null && idCardNumber != null) {
        JeeWebSDK.startFacialRecognitionVerify(uuid,name,idCardNumber);
    } else {
        let result = {
            'errCode': -1,
            'errMsg': 'invalid params'
        }
        JeeWebSDK.failCallback(uuid, result);
    }
}

// 弹出原生选择设备列表页
JeeWeb.showSelectDevicePage = function(obj){
    console.log("showSelectDevicePage",obj);
    const uuid = JeeWebSDK.uuid();
    JeeWebSDK.FUNCTION_MAP.set(uuid, obj);
    JeeWebSDK.showSelectDevicePage(uuid);
}
// 设置屏幕常亮能力
JeeWeb.setKeepScreenOn = function(obj){
    const keepScreenOn = obj.keepScreenOn == null || obj.keepScreenOn == undefined ? false : obj.keepScreenOn;
    console.log("setKeepScreenOn",obj);
    const uuid = JeeWebSDK.uuid();
    JeeWebSDK.FUNCTION_MAP.set(uuid, obj);
    JeeWebSDK.setKeepScreenOn(uuid,keepScreenOn);
}
// 设置屏幕亮度
JeeWeb.setScreenBrightness = function(obj){
    const number = obj.value == null || obj.value == undefined ? -1 : obj.value;
    console.log("setScreenBrightness",obj);
    const uuid = JeeWebSDK.uuid();
    JeeWebSDK.FUNCTION_MAP.set(uuid, obj);
    JeeWebSDK.setScreenBrightness(uuid,number);
}
// 注册生命周期显示
JeeWeb.onShow = function(obj){
    console.log("注册生命周期显示",obj);
    const uuid = JeeWebSDK.uuid();
    JeeWebSDK.FUNCTION_MAP.set(uuid, obj);
    JeeWebSDK.onShow(uuid);
}
// 注册生命周期隐藏
JeeWeb.onHide = function(obj){
    console.log("注册生命周期隐藏",obj);
    const uuid = JeeWebSDK.uuid();
    JeeWebSDK.FUNCTION_MAP.set(uuid, obj);
    JeeWebSDK.onHide(uuid);
}
// 注册生命周期显示
JeeWeb.offShow = function(obj){
    console.log("反注册生命周期显示",obj);
    const uuid = JeeWebSDK.uuid();
    JeeWebSDK.FUNCTION_MAP.set(uuid, obj);
    JeeWebSDK.onShow(uuid);
}
// 注册生命周期隐藏
JeeWeb.offHide = function(obj){
    console.log("反注册生命周期隐藏",obj);
    const uuid = JeeWebSDK.uuid();
    JeeWebSDK.FUNCTION_MAP.set(uuid, obj);
    JeeWebSDK.onHide(uuid);
}