if (window.JeeBLE=='undefined'||window.JeeBLE==null){
    window.JeeBLE={};
}
//判断是否注入
function isInject() {
    return true
}
// 获取蓝牙设备mac地址
JeeBLE.getDeviceId = function(obj) {
	const k = JeeWebSDK.uuid();
	JeeWebSDK.FUNCTION_MAP.set(k, obj);
	JeeBLESDK.getDeviceId(k, JSON.stringify(obj));
}
// 扫描蓝牙设备
JeeBLE.scanDevice = function(obj) {
	const k = JeeWebSDK.uuid();
	JeeWebSDK.FUNCTION_MAP.set(k, obj);
	JeeBLESDK.scanDevice(k, JSON.stringify(obj));
}
// 蓝牙配对
JeeBLE.pairDevice = function(obj) {
    const k=JeeWebSDK.uuid();
    JeeWebSDK.FUNCTION_MAP.set(k,obj);
    JeeBLESDK.pairDevice(k,JSON.stringify(obj));
}
// 连接蓝牙设备
JeeBLE.openConnection = function(obj) {
	const k = JeeWebSDK.uuid();
	JeeWebSDK.FUNCTION_MAP.set(k, obj);
	JeeBLESDK.openConnection(k, JSON.stringify(obj));
}
// 断开连接
JeeBLE.closeConnection = function(obj) {
	const k = JeeWebSDK.uuid();
	JeeWebSDK.FUNCTION_MAP.set(k, obj);
	JeeBLESDK.closeConnection(k, JSON.stringify(obj));
}
// 监听蓝牙连接状态改变
JeeBLE.onConnectionStateChange = function(obj) {
	const k = JeeWebSDK.uuid();
	JeeWebSDK.FUNCTION_MAP.set(k, obj);
	JeeBLESDK.onConnectionStateChange(k, JSON.stringify(obj));
}
// 取消监听蓝牙连接状态改变
JeeBLE.offConnectionStateChange = function(obj) {
	const k = JeeWebSDK.uuid();
	JeeWebSDK.FUNCTION_MAP.set(k, obj);
	JeeBLESDK.offConnectionStateChange(k, JSON.stringify(obj));
}
// 监听蓝牙状态开启关闭
JeeBLE.onBluetoothStateChange = function(obj) {
	const k = JeeWebSDK.uuid();
	JeeWebSDK.FUNCTION_MAP.set(k, obj);
	JeeBLESDK.onBluetoothStateChange(k, JSON.stringify(obj));
}
// 取消监听蓝牙状态变化监听
JeeBLE.offBluetoothStateChange = function(obj) {
	const k = JeeWebSDK.uuid();
	JeeWebSDK.FUNCTION_MAP.set(k, obj);
	JeeBLESDK.offBluetoothStateChange(k, JSON.stringify(obj));
}
// 设置蓝牙最大传输单元
JeeBLE.setMTU = function(obj) {
	const k = JeeWebSDK.uuid();
	JeeWebSDK.FUNCTION_MAP.set(k, obj);
	JeeBLESDK.setMTU(k, JSON.stringify(obj));
}
// 获取蓝牙设备的信号强度
JeeBLE.getDeviceRSSI = function(obj) {
	const k = JeeWebSDK.uuid();
	JeeWebSDK.FUNCTION_MAP.set(k, obj);
	JeeBLESDK.getDeviceRSSI(k, JSON.stringify(obj));
}
// 获取蓝牙设备所有服务
JeeBLE.getDeviceServices = function(obj) {
	const k = JeeWebSDK.uuid();
	JeeWebSDK.FUNCTION_MAP.set(k, obj);
	JeeBLESDK.getDeviceServices(k, JSON.stringify(obj));
}
// 获取蓝牙设备某个服务中所有特征值
JeeBLE.getServiceCharacteristics = function(obj) {
	const k = JeeWebSDK.uuid();
	JeeWebSDK.FUNCTION_MAP.set(k, obj);
	JeeBLESDK.getServiceCharacteristics(k, JSON.stringify(obj));
}
// 启用蓝牙设备特征值变化时的通知功能
JeeBLE.notifyCharacteristicValueChange = function(obj) {
	const k = JeeWebSDK.uuid();
	JeeWebSDK.FUNCTION_MAP.set(k, obj);
	JeeBLESDK.notifyCharacteristicValueChange(k, JSON.stringify(obj));
}
// 监听低功耗蓝牙设备的特征值变化事件
JeeBLE.onCharacteristicValueChange = function(obj) {
	const k = JeeWebSDK.uuid();
	JeeWebSDK.FUNCTION_MAP.set(k, obj);
	JeeBLESDK.onCharacteristicValueChange(k, JSON.stringify(obj));
}
// 取消监听低功耗蓝牙设备的特征值变化事件
JeeBLE.offCharacteristicValueChange = function(obj) {
	const k = JeeWebSDK.uuid();
	JeeWebSDK.FUNCTION_MAP.set(k, obj);
	JeeBLESDK.offCharacteristicValueChange(k, JSON.stringify(obj));
}
// 向蓝牙设备特征值中写入二进制数据
JeeBLE.writeCharacteristicValue = function(obj) {
	const k = JeeWebSDK.uuid();
	JeeWebSDK.FUNCTION_MAP.set(k, obj);
	if(obj.value ){
	   obj.value = Array.from(new Uint8Array(obj.value))
	}
	JeeBLESDK.writeCharacteristicValue(k, JSON.stringify(obj));
}
// 读取蓝牙设备的特征值的二进制数据值
JeeBLE.readCharacteristicValue = function(obj) {
	const k = JeeWebSDK.uuid();
	JeeWebSDK.FUNCTION_MAP.set(k, obj);
	JeeBLESDK.readCharacteristicValue(k, JSON.stringify(obj));
}
// 读取蓝牙设备的广播包中携带的数据
JeeBLE.getDeviceManufacturerDataInfo = function(obj) {
	const k = JeeWebSDK.uuid();
	JeeWebSDK.FUNCTION_MAP.set(k, obj);
	JeeBLESDK.getDeviceManufacturerDataInfo(k, JSON.stringify(obj));
}
// 获取BLE设备的mtu值
JeeBLE.getBLEMTU = function(obj) {
	const k = JeeWebSDK.uuid();
	JeeWebSDK.FUNCTION_MAP.set(k, obj);
	JeeBLESDK.getBLEMTU(k, JSON.stringify(obj));
}